> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wazoo.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Post worlds import



## OpenAPI

````yaml https://worlds-api.wazoo.dev/openapi.json post /worlds/{id}/import
openapi: 3.0.0
info:
  title: Worlds API
  version: 0.1.0
  description: >-
    Data-plane API for Wazoo Worlds — search, SPARQL, import, export, and World
    lifecycle.
servers:
  - url: https://worlds-api.wazoo.dev
    description: Worlds API
security:
  - bearerWorldsToken: []
paths:
  /worlds/{id}/import:
    post:
      tags:
        - ImportExport
      operationId: importWorld
      parameters:
        - schema:
            type: string
          required: true
          name: id
          in: path
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ImportRequest'
      responses:
        '200':
          description: Import result
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ImportResponse'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - error
      security:
        - bearerWorldsToken: []
components:
  schemas:
    ImportRequest:
      type: object
      properties:
        namespace:
          type: string
        data:
          type: string
          minLength: 1
        contentType:
          type: string
          default: text/turtle
      required:
        - data
    ImportResponse:
      type: object
      properties:
        imported:
          type: object
          properties:
            quads:
              type: integer
            chunks:
              type: integer
          required:
            - quads
            - chunks
      required:
        - imported
  securitySchemes:
    bearerWorldsToken:
      type: http
      scheme: bearer
      bearerFormat: wzw
      description: Worlds API data-plane token.

````